<?php
/**********************************************************************
	Copyright (C) Evolve Techniologies
	Author : Chathuri Gunawardana
	Email : chathuri@evolve-sl.com
	Company : Evolve Technologies(pvt)Ltd
***********************************************************************/
$page_security = 'SA_CUSTOMER';
$path_to_root="../..";

include($path_to_root . "/includes/db_pager.inc");
include($path_to_root . "/includes/session.inc");

$js = '';

if ($use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}
//page(_($help_context = "Registered Courses"), false, false, "", $js);
page(_($help_context = "Registered Courses"), @$_REQUEST['popup']);

include($path_to_root . "/includes/ui.inc");
include($path_to_root . "/includes/ui/contacts_view.inc");
include_once($path_to_root . "/sales/includes/db/batch_db.inc");
include_once($path_to_root . "/sales/includes/db/courses_db.inc");


//-----------------------------------------------------------------------------------------------

check_db_has_customers(_("There are no customers defined in the system. Please define a customer to add customer branches."));

check_db_has_sales_people(_("There are no sales people defined in the system. At least one sales person is required before proceeding."));

check_db_has_sales_areas(_("There are no sales areas defined in the system. At least one sales area is required before proceeding."));

check_db_has_shippers(_("There are no shipping companies defined in the system. At least one shipping company is required before proceeding."));

check_db_has_tax_groups(_("There are no tax groups defined in the system. At least one tax group is required before proceeding."));

simple_page_mode(true);
//-----------------------------------------------------------------------------------------------

if (isset($_GET['debtor_no']))
{
	$_POST['customer_id'] = strtoupper($_GET['debtor_no']);
}

$_POST['branch_code'] = $selected_id;

if (isset($_GET['SelectedBranch']))
{
	$br = get_branch($_GET['SelectedBranch']);
	$_POST['customer_id'] = $br['debtor_no'];
	$selected_id = $_POST['branch_code'] = $br['branch_code'];
	$Mode = 'Edit';
}
//-----------------------------------------------------------------------------------------------

if ($Mode=='ADD_ITEM' || $Mode=='UPDATE_ITEM')
{

	//initialise no input errors assumed initially before we test
	$input_error = 0;


	
	if (strlen($_POST['br_name']) == 0)
	{
		$input_error = 1;
		display_error(_("The Student name cannot be empty."));
		set_focus('br_name');
	}
	/***********************************BOF Chat Added*********************************/
	/*if ($_POST['courseName'] == 0)
	{
		$input_error = 1;
		display_error(_("The course name cannot be empty."));
		set_focus('courseName');
	}
	if ($_POST['courseBatch'] == 0)
	{
		$input_error = 1;
		display_error(_("The course batch cannot be empty."));
		set_focus('courseBatch');
	}
	if ($_POST['courseEntrMeth'] == 0)
	{
		$input_error = 1;
		display_error(_("The course entrance method cannot be empty."));
		set_focus('courseEntrMeth');
	}
	if ($_POST['coursePaymMeth'] == 0)
	{
		$input_error = 1;
		display_error(_("The course payment method cannot be empty."));
		set_focus('coursePaymMeth');
	}*/
	/***********************************EOF Chat Added*********************************/

	if (strlen($_POST['br_ref']) == 0)
	{
		$input_error = 1;
		display_error(_("The Student short name cannot be empty."));
		set_focus('br_ref');
	}
	
	if (strlen($_POST['regNum']) == 0)
	{
		$input_error = 1;
		display_error(_("The Student Reg. Number cannot be empty."));
		set_focus('regNum');
	}

	if ($input_error != 1)
	{

		begin_transaction();
    	if ($selected_id != -1)
		{
			  update_branch($_POST['customer_id'], $_POST['branch_code'], $_POST['br_name'], $_POST['regNum'], $_POST['br_ref'],
				  /********************************BOF Chat Added****************************************/
				  /*$_POST['courseName'],$_POST['courseName'], $_POST['courseYear'], $_POST['courseBatch'], $_POST['courseEntrMeth'], input_num('courseFee'),$_POST['coursePaymMeth'],$_POST['courseDuration'],*/
				  
				//$_POST['courseName'],$_POST['courseName'],$_POST['courseBatch'],NULL, NULL, NULL, input_num('calcFee'),input_num('regFee'),input_num('cDiscount'),$_POST['coursePaymMeth'],$_POST['courseDuration'],
				$_POST['courseName'],$_POST['courseName'],$_POST['courseBatch'],NULL, NULL, NULL, input_num('courseFee'),NULL,NULL,NULL,$_POST['courseDuration'],   
				  //$_POST['courseName'],$_POST['courseName'], $_POST['courseYear'], $_POST['courseYear'].' '.$_POST['course_shortName'].' '.$_POST['courseEntrMeth'].' Entry', $_POST['courseEntrMeth'], input_num('courseFee'),$_POST['coursePaymMeth'],$_POST['courseDuration'],
				 
				 (!empty($_POST['br_address']) ? $_POST['br_address'] : "") , (!empty($_POST['salesman']) ? $_POST['salesman'] : "1"), (!empty($_POST['area']) ? $_POST['area'] : "2"), (!empty($_POST['tax_group_id']) ? $_POST['tax_group_id'] : "1"), (!empty($_POST['sales_account']) ? $_POST['sales_account'] : ""),
				  (!empty($_POST['sales_discount_account']) ? $_POST['sales_discount_account'] : "4510"), (!empty($_POST['receivables_account']) ? $_POST['receivables_account'] : "1300"), (!empty($_POST['payment_discount_account']) ? $_POST['payment_discount_account'] : "4500"),(!empty( $_POST['default_location']) ?  $_POST['default_location'] : "LOC")
				 , (!empty( $_POST['br_post_address']) ?  $_POST['br_post_address'] : ""), (!empty( $_POST['disable_trans']) ?  $_POST['disable_trans'] : ""), (!empty( $_POST['group_no']) ?  $_POST['group_no'] : ""),
				  (!empty( $_POST['default_ship_via']) ?  $_POST['default_ship_via'] : "1"), (!empty( $_POST['notes']) ?  $_POST['notes'] : ""));
				   /********************************EOF Chat Added****************************************/
				   
  //			update_record_status($_POST['supplier_id'], $_POST['inactive'],
  //				'cust_branch', 'branch_code');
  
			$note =_('Selected student course has been updated');
  		}
		else
		{
			  add_branch($_POST['customer_id'], $_POST['br_name'], $_POST['br_ref'],
				  /********************************BOF CHat Added****************************************/
				  /*$_POST['courseName'], $_POST['courseName'], $_POST['courseYear'], $_POST['courseBatch'], $_POST['courseEntrMeth'], input_num('courseFee'),$_POST['coursePaymMeth'],$_POST['courseDuration'],*/
				
				  //$_POST['courseName'],$_POST['courseName'],$_POST['courseBatch'],NULL, NULL, NULL,input_num('calcFee'),input_num('regFee'),input_num('cDiscount'),$_POST['coursePaymMeth'],$_POST['courseDuration'],
				  $_POST['courseName'],$_POST['courseName'],$_POST['courseBatch'],NULL, NULL, NULL,input_num('courseFee'),NULL,NULL,NULL,$_POST['courseDuration'],
				  //$_POST['courseName'], $_POST['courseName'], $_POST['courseYear'], $_POST['courseYear'].' '.$_POST['course_shortName'].' '.$_POST['courseEntrMeth'].' Entry', $_POST['courseEntrMeth'], input_num('courseFee'),$_POST['coursePaymMeth'],$_POST['courseDuration'],
				  
				 (!empty($_POST['br_address']) ? $_POST['br_address'] : "") , (!empty($_POST['salesman']) ? $_POST['salesman'] : "1"), (!empty($_POST['area']) ? $_POST['area'] : "2"), (!empty($_POST['tax_group_id']) ? $_POST['tax_group_id'] : "1"), (!empty($_POST['sales_account']) ? $_POST['sales_account'] : ""),
				  (!empty($_POST['sales_discount_account']) ? $_POST['sales_discount_account'] : "4510"), (!empty($_POST['receivables_account']) ? $_POST['receivables_account'] : "1300"), (!empty($_POST['payment_discount_account']) ? $_POST['payment_discount_account'] : "4500"),(!empty( $_POST['default_location']) ?  $_POST['default_location'] : "LOC")
				 , (!empty( $_POST['br_post_address']) ?  $_POST['br_post_address'] : ""), (!empty( $_POST['disable_trans']) ?  $_POST['disable_trans'] : ""), (!empty( $_POST['group_no']) ?  $_POST['group_no'] : ""),
				  (!empty( $_POST['default_ship_via']) ?  $_POST['default_ship_via'] : "1"), (!empty( $_POST['notes']) ?  $_POST['notes'] : ""));
				/********************************EOF CHat Added****************************************/  
				
			  $selected_id = db_insert_id();
  
			  add_crm_person((!empty($_POST['contact_name']) ? $_POST['contact_name'] : ""), (!empty($_POST['contact_name']) ? $_POST['contact_name'] : ""), '', (!empty($_POST['br_post_address']) ? $_POST['br_post_address'] : ""), '','','',(!empty($_POST['phone']) ? $_POST['phone'] : ""), (!empty($_POST['phone2']) ? $_POST['phone2'] : ""), (!empty($_POST['fax']) ? $_POST['fax'] : ""), (!empty($_POST['email']) ? $_POST['email'] : ""),(!empty($_POST['rep_lang']) ? $_POST['rep_lang'] : ""), '');
  
			  add_crm_contact('cust_branch', 'general', $selected_id, db_insert_id());
  
  			
			 //$note = _('New customer branch has been added');
			 $note = _('New Student Course has been added');
		}
		commit_transaction();
		display_notification($note);
//		$Mode = 'RESET';

		if (@$_REQUEST['popup']) {
		//if ($js) {
			set_focus("Select".($_POST['branch_code'] == -1 ? $selected_id: $_POST['branch_code']));
		}
	}

}
elseif ($Mode == 'Delete')
{
	//the link to delete a selected record was clicked instead of the submit button

	// PREVENT DELETES IF DEPENDENT RECORDS IN 'debtor_trans'

	if (branch_in_foreign_table($_POST['customer_id'], $_POST['branch_code'], 'debtor_trans'))
	{
		//display_error(_("Cannot delete this branch because customer transactions have been created to this branch."));
		display_error(_("Cannot delete this course because student transactions have been created to this course."));//**********Chat Added**************

	}
	else
	{
		if (branch_in_foreign_table($_POST['customer_id'], $_POST['branch_code'], 'sales_orders'))
		{
			//display_error(_("Cannot delete this branch because sales orders exist for it. Purge old sales orders first."));
			display_error(_("Cannot delete this course because sales orders exist for it. Purge old sales orders first."));//**********Chat Added**************
		}
		else
		{
			delete_branch($_POST['customer_id'], $_POST['branch_code']);
			//display_notification(_('Selected customer branch has been deleted'));
			display_notification(_('Selected student registered course has been deleted'));
		}
	} //end ifs to test if the branch can be deleted
	$Mode = 'RESET';
}

if ($Mode == 'RESET' || get_post('_customer_id_update'))
{
	$selected_id = -1;
	$cust_id = $_POST['customer_id'];
	$inact = get_post('show_inactive');
	unset($_POST);
	$_POST['show_inactive'] = $inact;
	$_POST['customer_id'] = $cust_id;
	$Ajax->activate('_page_body');
	
	/***********BOF Chat Added******************/
	$_POST['regNum'] = '';
	$_POST['courseName'] = -1;
	//$_POST['courseYear'] = -1;
	//$_POST['courseBatch'] = -1;
	$_POST['courseEntrMeth'] = -1;
	$_POST['courseFee'] = 0.00;
	$_POST['cDiscount'] = percent_format(0);
	$_POST['coursePaymMeth'] = -1;
	$_POST['courseDuration'] = -1;
	$_POST['regFee'] = 0.00;
	$_POST['calcFee']  = 0.00;
	//$_POST['pStartDate']  = '';
	//$_POST['pDueDate'] = '';
	/***********EOF Chat Added******************/
}

function branch_email($row) {
	return	'<a href = "mailto:'.$row["email"].'">'.$row["email"].'</a>';
}

function edit_link($row) {
	return button("Edit".$row["branch_code"],_("Edit"), '', ICON_EDIT);
}

function del_link($row) {
	return button("Delete".$row["branch_code"],_("Delete"), '', ICON_DELETE);
}

function select_link($row) {
	return button("Select".$row["branch_code"], $row["branch_code"], '', ICON_ADD, 'selector');
}

function branch_settings($selected_id) {
	global $Mode, $num_branches;

	start_outer_table(TABLESTYLE2);

	table_section(1);

	$_POST['email'] = "";
	if ($selected_id != -1)
	{
	 	if ($Mode == 'Edit' || !isset($_POST['br_name'])) {
			
			//editing an existing branch
			$myrow = get_cust_branch($_POST['customer_id'], $_POST['branch_code']);
			//print_r($myrow);
			set_focus('br_name');
	    	$_POST['branch_code'] = $myrow["branch_code"];
		    $_POST['br_name']  = $myrow["br_name"];
		    $_POST['br_ref']  = get_student_regNum($myrow['branch_ref']);//$myrow["branch_ref"];
			
		    $_POST['br_address']  = $myrow["br_address"];
		    $_POST['br_post_address']  = $myrow["br_post_address"];
            //$_POST['contact_name'] = $myrow["contact_name"];
		    $_POST['salesman'] =$myrow["salesman"];
		    $_POST['area'] =$myrow["area"];
//		    $_POST['rep_lang'] =$myrow["rep_lang"];
//		    $_POST['phone'] =$myrow["phone"];
//		    $_POST['phone2'] =$myrow["phone2"];
//		    $_POST['fax'] =$myrow["fax"];
//		    $_POST['email'] =$myrow["email"];
		    $_POST['tax_group_id'] = $myrow["tax_group_id"];
		    $_POST['disable_trans'] = $myrow['disable_trans'];
		    $_POST['default_location'] = $myrow["default_location"];
		    $_POST['default_ship_via'] = $myrow['default_ship_via'];
		    $_POST['sales_account'] = $myrow["sales_account"];
		    $_POST['sales_discount_account'] = $myrow['sales_discount_account'];
		    $_POST['receivables_account'] = $myrow['receivables_account'];
		    $_POST['payment_discount_account'] = $myrow['payment_discount_account'];
			$_POST['group_no']  = $myrow["group_no"];
			$_POST['notes']  = $myrow["notes"];
			
			
			/***************************BOF Chat Added**********************************/
			$_POST['regNum'] = $myrow["branch_ref"];//get_student_regNum($myrow['branch_ref']);
			$_POST['courseName'] = get_courses_id($myrow["coursename"]);
		    //$_POST['courseYear'] = $myrow['payment_discount_account'];
			$_POST['courseBatch']  = get_batch_index($myrow["batch"]);
			//$_POST['courseEntrMeth']  = $myrow["courseentrMeth"];
			
			/*$_POST['courseFee']  = number_format2($myrow["coursefee"]);
			$_POST['courseDuration'] = $myrow["courseduration"];
			$_POST['courseName'] = $myrow['course_id'];*/
			
			$_POST['courseFee']  = $myrow["coursefee"];
			$_POST['regFee']  = number_format2($myrow["regFee"]);
			$_POST['cDiscount']  = percent_format($myrow["discount"]);
			
			$_POST['coursePaymMeth']  = $myrow["coursepaymMeth"];
			$_POST['courseDuration'] = $myrow["courseduration"];
			
			
			/***************************EOF Chat Added**********************************/

		}
	}
	elseif ($Mode != 'ADD_ITEM')
	{ //end of if $SelectedBranch only do the else when a new record is being entered
		$myrow = get_default_info_for_branch($_POST['customer_id']);
//		$_POST['rep_lang'] = $myrow['rep_lang'];
		if(!$num_branches) {
			$_POST['br_name'] = $myrow["name"];
			$_POST['br_ref'] = $myrow["debtor_ref"];
			
			$_POST['contact_name'] = _('Main Branch');
			$_POST['br_address'] = $_POST['br_post_address'] = $myrow["address"];
			
			/***********BOF Chat Added******************/
			$_POST['regNum'] = $myrow["stdRegNo"];
			
			$_POST['courseName'] = -1;
		    //$_POST['courseYear'] = -1;
			$_POST['courseBatch']  = -1;
			//$_POST['courseEntrMeth']  = -1;
			$_POST['courseFee']  = number_format2(0,2);
			$_POST['cDiscount']  = percent_format(0);
			$_POST['coursePaymMeth']  = -1;
			$_POST['courseDuration'] = -1;
			$_POST['regFee'] = number_format2(0,2);
			$_POST['calcFee']  = number_format2(0,2);
			
			//$_POST['pStartDate']  = '';
			//$_POST['pDueDate'] = '';
			
			/***********BOF Chat Added******************/
		}
		$_POST['branch_code'] = "";
		if (!isset($_POST['sales_account']) || !isset($_POST['sales_discount_account']))
		{
			$company_record = get_company_prefs();
			
			// We use the Item Sales Account as default!
		    // $_POST['sales_account'] = $company_record["default_sales_act"];
			
		    $_POST['sales_account'] = $_POST['notes']  = '';
		    $_POST['sales_discount_account'] = $company_record['default_sales_discount_act'];
		    $_POST['receivables_account'] = $company_record['debtors_act'];
		    $_POST['payment_discount_account'] = $company_record['default_prompt_payment_act'];
		}

	}
	//hidden('popup', $js);
	hidden('popup', @$_REQUEST['popup']);

	table_section_title(_("Student Name"));
	
	/*text_row(_("Branch Name:"), 'br_name', null, 35, 40);
	text_row(_("Branch Short Name:"), 'br_ref', null, 30, 30);

	table_section_title(_("Sales"));
	sales_persons_list_row( _("Sales Person:"), 'salesman', null);
	sales_areas_list_row( _("Sales Area:"), 'area', null);
	sales_groups_list_row(_("Sales Group:"), 'group_no', null, true);
	locations_list_row(_("Default Inventory Location:"), 'default_location', null);
	shippers_list_row(_("Default Shipping Company:"), 'default_ship_via', null);*/
	
	
	text_row(_("Student Name:"), 'br_name', null, 35, 40);
	text_row(_("Student Known As:"), 'br_ref', null, 30, 30);
	text_row(_("Student Reg. Number:"), 'regNum', null, 30, 30);
	tax_groups_list_row(_("Tax Group:"), 'tax_group_id', null);
	
	table_section_title(_("Courses"));
	
	hidden('salesman', null);
	hidden('area', null);
	hidden('group_no', null);
	hidden('default_location');
	hidden('default_ship_via');
	//hidden('tax_group_id');
	
	//batch_list_row(_("Batch:"), 'courseBatch', null);
	batch_name_list_row(_("Batch:"), 'courseBatch', null);
	
	//cName_list_row( _("Course Name:"), 'courseName', null);
	
	course_name_list_row( _("Course Name:"), 'courseName', null);
	//course_name_list_row( _("Course Name Hidden:"), 'courseNameHidden', null);
	
	//course_year_list_row( _("Year:"), 'courseYear', null);
	//entranceMeth_list_row(_("Entrance Method:"), 'courseEntrMeth', null);
	
	//amount_row(_("Course Fee:"), 'courseFee', null);
	//amount_row_with_disabled(_("Course Fee:"), 'courseFee', null,null,null,null,'disabled');
	text_row(_("Course Fee:"), 'courseFee', null);
	//amount_row_with_disabled_hidden(null, 'courseFeeHidden', null,null,null,null,'disabled'); //hidden
	
	//cDuration_list_row(_("Course Duration:"), 'courseDuration', null);
	
	totDuration_list_row(_("Course Duration:"), 'courseDuration', null);
	//totDuration_list_row_disabled(_("Course Duration:"), 'courseDuration', null, null,'disabled');
	//totDuration_list_row_hidden(null, 'courseDurationHidden', null, null);
	//totDuration_list_row(_("Course Duration Hidden:"), 'courseDurationHidden', null);
	
	/*amount_row(_("Registration Fee:"), 'regFee', null);
	percent_row(_("Discount Percent:"), 'cDiscount', null);
	table_section_title(_("Payment Details"));
	paymentMeth_list_row(_("Payment Method:"), 'coursePaymMeth', null);
	amount_row(_("Amount Per Payment:"), 'calcFee', null);*/
	
	//text_row(_("Payment Date:"), 'pStartDate', null, 35, 40);
	//text_row(_("Next Payment Date:"), 'pDueDate', null, 35, 40);
	
	/*table_section_title(_("GL Accounts"));
	// 2006-06-14. Changed gl_al_accounts_list to have an optional all_option 'Use Item Sales Accounts'
	gl_all_accounts_list_row(_("Sales Account:"), 'sales_account', null, false, false, true);
	gl_all_accounts_list_row(_("Sales Discount Account:"), 'sales_discount_account');
	gl_all_accounts_list_row(_("Accounts Receivable Account:"), 'receivables_account', null, true);
	gl_all_accounts_list_row(_("Prompt Payment Discount Account:"), 'payment_discount_account');*/
	hidden('sales_account', null);
	hidden('sales_discount_account',null);
	hidden('receivables_account', null);
	hidden('payment_discount_account',null);
	
	//table_section(2);

if($selected_id==-1) {
	/*table_section_title(_("General contact data"));
	text_row(_("Contact Person:"), 'contact_name', null, 35, 40);
	text_row(_("Phone Number:"), 'phone', null, 32, 30);
	text_row(_("Secondary Phone Number:"), 'phone2', null, 32, 30);
	text_row(_("Fax Number:"), 'fax', null, 32, 30);
	email_row(_("E-mail:"), 'email', null, 35, 55);
	languages_list_row( _("Document Language:"), 'rep_lang', null, _("Customer default"));*/
	hidden('contact_name', null);
	hidden('phone', null);
	hidden('phone2', null);
	hidden('fax', null);
	hidden('email', null);
	hidden('rep_lang', null);
}
	/*table_section_title(_("Addresses"));
	textarea_row(_("Mailing Address:"), 'br_post_address', null, 35, 4);
	textarea_row(_("Billing Address:"), 'br_address', null, 35, 4);
	textarea_row(_("General Notes:"), 'notes', null, 35, 4);*/
	hidden('br_post_address', null);
	hidden('br_address', null);
	textarea_row(_("Notes:"),'notes', null);

if($selected_id!=-1)
	yesno_list_row(_("Disable this registered course:"), 'disable_trans', null);
	//hidden(_("Disable this Branch:"), 'disable_trans', null);

	end_outer_table(1);
	submit_add_or_update_center($selected_id == -1, '', 'both');
}

start_form();

echo "<center>" . _("Select a Student: ") . "&nbsp;&nbsp;";
echo student_list('customer_id', null, false, true);
echo "</center><br>";

$num_branches = db_customer_has_branches($_POST['customer_id']);

$course_shortName = get_course_shortname(isset($_POST['courseName']) ? $_POST['courseName'] : '');

$sql = get_sql_for_student_branches();

//------------------------------------------------------------------------------------------------
if ($num_branches)
{
/*$cols = array(
	'branch_code' => 'skip',
	_("Short Name"),
	_("Name"),
	_("Contact"),
	_("Sales Person"),
	_("Area"),
	_("Phone No"),
	_("Fax No"),
	_("E-mail") => 'email',
	_("Tax Group"),
	_("Inactive") => 'inactive',
//		array('fun'=>'inactive'),
		' '=> array('insert'=>true, 'fun'=>'select_link'),
		array('insert'=>true, 'fun'=>'edit_link'),
		array('insert'=>true, 'fun'=>'del_link')
	);*/

/******************************BOF Chat Added***************************/	

/*$cols = array(
	'branch_code' => 'skip',
	_("Short Name"),
	_("Name"),
	_("Std. Reg. No."),
	_("Course Id")=> 'skip',
	_("Course Name"),
	_("Course Year")=> 'skip',
	_("Batch"),
	_("Entrance Method")=> 'skip',
	_("Payment Fee"),
	_("Payment Method"),
	_("Duration"),
	_("Inactive") => 'inactive',
//		array('fun'=>'inactive'),
		' '=> array('insert'=>true, 'fun'=>'select_link'),
		array('insert'=>true, 'fun'=>'edit_link'),
		array('insert'=>true, 'fun'=>'del_link')
	);*/
	
$cols = array(
	'branch_code' => 'skip',
	_("Short Name"),
	_("Name"),
	//_("Std. Reg. No."),
	_("Course Id") => 'skip',
	_("Course Name"),
	_("Batch"),
	_("Payment Fee"),
	//_("Reg. Fee"),
	//_("Discount"),
	//_("Payment Method"),
	_("Duration"),
	_("Tax Group"),
	_("Inactive") => 'inactive',
//		array('fun'=>'inactive'),
		' '=> array('insert'=>true, 'fun'=>'select_link'),
		array('insert'=>true, 'fun'=>'edit_link'),
		array('insert'=>true, 'fun'=>'del_link')
	);
	
/******************************EOF Chat Added***************************/

	if (!@$_REQUEST['popup']) {
	//if (!$js) {
		$cols[' '] = 'skip';
	}
$table =& new_db_pager('branch_tbl', $sql, $cols, 'cust_branch');
$table->set_inactive_ctrl('cust_branch', 'branch_code');

//$table->width = "85%";
display_db_pager($table);
}
else
	display_note(_("The selected student does not have any courses. Please create at least one registered course."));

tabbed_content_start('tabs', array(
		'settings' => array(_('&General settings'), $selected_id!=-1),
		//'contacts' => array(_('&Contacts'), $selected_id!=-1),
//		'orders' => array('S&ales orders', $selected_id!=-1) // not implemented
	));
	
	switch (get_post('_tabs_sel')) {
		default:
		case 'settings':
			branch_settings($selected_id); 
			break;
		case 'contacts':
			$contacts = new contacts('contacts', $selected_id, 'cust_branch');
			$contacts->show();
			break;
		case 'orders':
	};
	hidden('branch_code');
	hidden('selected_id', $selected_id);
br();
tabbed_content_end();


end_form();

end_page(@$_REQUEST['popup']);
//end_page($js);
?>
